'Newland.CityTheme:SiteTrackingMixin.Analytics':
  abstract: true
  superTypes:
    'Newland.CityTheme:SiteTrackingMixin': true

  ui:
    inspector:
      groups:
        'analytics':
          tab: 'tracking'
          label: 'Google Analytics'
          icon: 'fab fa-google'

  properties:
    'siteTrackingGaId':
      type: string
      ui:
        label: 'Analytics ID'
        help:
          message: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingGaId.help.message'
        reloadIfChanged: true
        inspector:
          group: 'analytics'
